Page 2 of 6 FirstFirst 1234 ... LastLast
Results 11 to 20 of 52

Thread: TeXworks: package operation failed

  1. #11
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    6,559
    Distro
    Lubuntu 14.04 Trusty Tahr

    Re: TeXworks: package operation failed

    Again Not pay proper attention ... amended ...
    Code:
    sudo rm /etc/apt/sources.list.d/
    looks much better.
    and info from the manual:
    The /etc/apt/sources.list.d directory provides a way to add sources.list entries in separate files. The format is the same as for the regular sources.list file.
    out to lunch ==> BDQ

  2. #12
    Join Date
    May 2009
    Location
    Indiana
    Beans
    1,817
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: TeXworks: package operation failed

    Again, please do not remove all the contents of the sources.list.d directory. That will remove other PPAs you've added to your system, including the one for Chrome.
    Jane, stop this crazy thing!

  3. #13
    Join Date
    Jul 2012
    Location
    Germany
    Beans
    107
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: TeXworks: package operation failed

    Quote Originally Posted by newb85 View Post
    Actually, sources.list.d is a directory, and I wouldn't advise removing the entire directory. (The above command won't work without the -r option, but that's a little beside the point.) For now, I would open Software Sources (from the Software Center, Edit>Software Sources), go to the Other Software tab, and un-check all entries for texlive-backports and texworks-stable. Then try reinstalling with

    Code:
    sudo apt-get update
    sudo apt-get purge texworks
    sudo apt-get autoremove
    sudo apt-get install texworks
    In "Software Sources>Other Software", entries you mentioned are already unchecked? Should I go on with the codes you wrote?

  4. #14
    Join Date
    May 2009
    Location
    Indiana
    Beans
    1,817
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: TeXworks: package operation failed

    Yes.
    Jane, stop this crazy thing!

  5. #15
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    6,559
    Distro
    Lubuntu 14.04 Trusty Tahr

    Re: TeXworks: package operation failed

    thanks to newb85 for catching my error //

    again to myself, slow down and focus !

  6. #16
    Join Date
    Jul 2012
    Location
    Germany
    Beans
    107
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: TeXworks: package operation failed

    Quote Originally Posted by newb85 View Post
    Actually, sources.list.d is a directory, and I wouldn't advise removing the entire directory. (The above command won't work without the -r option, but that's a little beside the point.) For now, I would open Software Sources (from the Software Center, Edit>Software Sources), go to the Other Software tab, and un-check all entries for texlive-backports and texworks-stable. Then try reinstalling with

    Code:
    sudo apt-get update
    sudo apt-get purge texworks
    sudo apt-get autoremove
    sudo apt-get install texworks
    Here is the output after each command:

    Code:
    sudo apt-get update
    [sudo] password for bekirsalgin: 
    Ign http://dl.google.com stable InRelease
    Ign http://archive.canonical.com precise InRelease                             
    Ign http://extras.ubuntu.com precise InRelease                                 
    Ign http://de.archive.ubuntu.com precise InRelease                             
    Ign http://de.archive.ubuntu.com precise-updates InRelease                     
    Ign http://security.ubuntu.com precise-security InRelease            
    Ign http://de.archive.ubuntu.com precise-proposed InRelease                    
    Hit http://dl.google.com stable Release.gpg                                    
    Hit http://archive.canonical.com precise Release.gpg                           
    Hit http://de.archive.ubuntu.com precise Release.gpg                           
    Get:1 http://extras.ubuntu.com precise Release.gpg [72 B]                      
    Get:2 http://security.ubuntu.com precise-security Release.gpg [198 B]          
    Get:3 http://de.archive.ubuntu.com precise-updates Release.gpg [198 B]         
    Hit http://dl.google.com stable Release                              
    Hit http://archive.canonical.com precise Release                     
    Hit http://extras.ubuntu.com precise Release                                   
    Get:4 http://de.archive.ubuntu.com precise-proposed Release.gpg [198 B]        
    Get:5 http://security.ubuntu.com precise-security Release [49.6 kB]   
    Hit http://de.archive.ubuntu.com precise Release                              
    Get:6 http://de.archive.ubuntu.com precise-updates Release [49.6 kB]           
    Get:7 http://de.archive.ubuntu.com precise-proposed Release [49.6 kB]          
    Hit http://dl.google.com stable/main amd64 Packages                          
    Hit http://dl.google.com stable/main i386 Packages                             
    Ign http://dl.google.com stable/main TranslationIndex                          
    Hit http://archive.canonical.com precise/partner amd64 Packages                
    Hit http://extras.ubuntu.com precise/main amd64 Packages                       
    Hit http://archive.canonical.com precise/partner i386 Packages                 
    Ign http://archive.canonical.com precise/partner TranslationIndex              
    Hit http://extras.ubuntu.com precise/main i386 Packages                        
    Ign http://extras.ubuntu.com precise/main TranslationIndex                     
    Hit http://de.archive.ubuntu.com precise/restricted Sources                    
    Get:8 http://security.ubuntu.com precise-security/restricted Sources [1,950 B] 
    Hit http://de.archive.ubuntu.com precise/main Sources                          
    Hit http://de.archive.ubuntu.com precise/multiverse Sources                    
    Hit http://de.archive.ubuntu.com precise/universe Sources                      
    Hit http://de.archive.ubuntu.com precise/main amd64 Packages                   
    Hit http://de.archive.ubuntu.com precise/restricted amd64 Packages             
    Hit http://de.archive.ubuntu.com precise/universe amd64 Packages               
    Hit http://de.archive.ubuntu.com precise/multiverse amd64 Packages             
    Hit http://de.archive.ubuntu.com precise/main i386 Packages                    
    Hit http://de.archive.ubuntu.com precise/restricted i386 Packages              
    Hit http://de.archive.ubuntu.com precise/universe i386 Packages                
    Hit http://de.archive.ubuntu.com precise/multiverse i386 Packages              
    Get:9 http://security.ubuntu.com precise-security/main Sources [54.6 kB]       
    Hit http://de.archive.ubuntu.com precise/main TranslationIndex                 
    Hit http://de.archive.ubuntu.com precise/multiverse TranslationIndex           
    Hit http://de.archive.ubuntu.com precise/restricted TranslationIndex           
    Hit http://de.archive.ubuntu.com precise/universe TranslationIndex             
    Get:10 http://de.archive.ubuntu.com precise-updates/restricted Sources [4,419 B]
    Get:11 http://de.archive.ubuntu.com precise-updates/main Sources [187 kB]      
    Get:12 http://security.ubuntu.com precise-security/multiverse Sources [1,392 B]
    Get:13 http://security.ubuntu.com precise-security/universe Sources [15.8 kB]  
    Get:14 http://security.ubuntu.com precise-security/main amd64 Packages [196 kB]
    Ign http://dl.google.com stable/main Translation-en_US                         
    Get:15 http://de.archive.ubuntu.com precise-updates/multiverse Sources [4,241 B]
    Get:16 http://de.archive.ubuntu.com precise-updates/universe Sources [61.6 kB] 
    Ign http://dl.google.com stable/main Translation-en                            
    Get:17 http://de.archive.ubuntu.com precise-updates/main amd64 Packages [426 kB]
    Get:18 http://security.ubuntu.com precise-security/restricted amd64 Packages [3,969 B]
    Get:19 http://security.ubuntu.com precise-security/universe amd64 Packages [54.7 kB]
    Get:20 http://security.ubuntu.com precise-security/multiverse amd64 Packages [2,189 B]
    Get:21 http://security.ubuntu.com precise-security/main i386 Packages [201 kB] 
    Ign http://archive.canonical.com precise/partner Translation-en_US             
    Ign http://extras.ubuntu.com precise/main Translation-en_US                    
    Ign http://archive.canonical.com precise/partner Translation-en                
    Get:22 http://de.archive.ubuntu.com precise-updates/restricted amd64 Packages [8,366 B]
    Ign http://extras.ubuntu.com precise/main Translation-en                       
    Get:23 http://de.archive.ubuntu.com precise-updates/universe amd64 Packages [153 kB]
    Get:24 http://security.ubuntu.com precise-security/restricted i386 Packages [3,968 B]
    Get:25 http://de.archive.ubuntu.com precise-updates/multiverse amd64 Packages [8,677 B]
    Get:26 http://de.archive.ubuntu.com precise-updates/main i386 Packages [433 kB]
    Get:27 http://security.ubuntu.com precise-security/universe i386 Packages [54.9 kB]
    Get:28 http://security.ubuntu.com precise-security/multiverse i386 Packages [2,388 B]
    Hit http://security.ubuntu.com precise-security/main TranslationIndex          
    Hit http://security.ubuntu.com precise-security/multiverse TranslationIndex    
    Hit http://security.ubuntu.com precise-security/restricted TranslationIndex    
    Hit http://security.ubuntu.com precise-security/universe TranslationIndex      
    Hit http://security.ubuntu.com precise-security/main Translation-en            
    Hit http://security.ubuntu.com precise-security/multiverse Translation-en      
    Hit http://security.ubuntu.com precise-security/restricted Translation-en      
    Get:29 http://de.archive.ubuntu.com precise-updates/restricted i386 Packages [8,374 B]
    Get:30 http://de.archive.ubuntu.com precise-updates/universe i386 Packages [153 kB]
    Get:31 http://de.archive.ubuntu.com precise-updates/multiverse i386 Packages [9,661 B]
    Get:32 http://de.archive.ubuntu.com precise-updates/main TranslationIndex [3,564 B]
    Get:33 http://de.archive.ubuntu.com precise-updates/multiverse TranslationIndex [2,605 B]
    Get:34 http://de.archive.ubuntu.com precise-updates/restricted TranslationIndex [2,461 B]
    Get:35 http://de.archive.ubuntu.com precise-updates/universe TranslationIndex [2,850 B]
    Get:36 http://de.archive.ubuntu.com precise-proposed/restricted amd64 Packages [1,972 B]
    Get:37 http://de.archive.ubuntu.com precise-proposed/main amd64 Packages [37.9 kB]
    Hit http://security.ubuntu.com precise-security/universe Translation-en       
    Get:38 http://de.archive.ubuntu.com precise-proposed/multiverse amd64 Packages [14 B]
    Get:39 http://de.archive.ubuntu.com precise-proposed/universe amd64 Packages [16.3 kB]
    Get:40 http://de.archive.ubuntu.com precise-proposed/restricted i386 Packages [1,960 B]
    Get:41 http://de.archive.ubuntu.com precise-proposed/main i386 Packages [39.2 kB]
    Get:42 http://de.archive.ubuntu.com precise-proposed/multiverse i386 Packages [14 B]
    Get:43 http://de.archive.ubuntu.com precise-proposed/universe i386 Packages [16.5 kB]
    Get:44 http://de.archive.ubuntu.com precise-proposed/main TranslationIndex [3,564 B]
    Get:45 http://de.archive.ubuntu.com precise-proposed/multiverse TranslationIndex [2,605 B]
    Get:46 http://de.archive.ubuntu.com precise-proposed/restricted TranslationIndex [2,461 B]
    Get:47 http://de.archive.ubuntu.com precise-proposed/universe TranslationIndex [2,850 B]
    Hit http://de.archive.ubuntu.com precise/main Translation-en
    Hit http://de.archive.ubuntu.com precise/multiverse Translation-en
    Hit http://de.archive.ubuntu.com precise/restricted Translation-en
    Hit http://de.archive.ubuntu.com precise/universe Translation-en
    Hit http://de.archive.ubuntu.com precise-updates/main Translation-en
    Hit http://de.archive.ubuntu.com precise-updates/multiverse Translation-en
    Hit http://de.archive.ubuntu.com precise-updates/restricted Translation-en
    Hit http://de.archive.ubuntu.com precise-updates/universe Translation-en
    Get:48 http://de.archive.ubuntu.com precise-proposed/main Translation-en [20.4 kB]
    Hit http://de.archive.ubuntu.com precise-proposed/multiverse Translation-en
    Hit http://de.archive.ubuntu.com precise-proposed/restricted Translation-en
    Get:49 http://de.archive.ubuntu.com precise-proposed/universe Translation-en [11.0 kB]
    Fetched 2,368 kB in 2s (828 kB/s)                                   
    Reading package lists... Done
    Code:
    sudo apt-get purge texworks
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Package texworks is not installed, so not removed
    The following packages were automatically installed and are no longer required:
      libreoffice-help-en-gb libreoffice-help-en-us mythes-en-au mythes-en-us
      language-pack-kde-zh-hans-base hyphen-en-us firefox-locale-zh-hans
      libgconf2-4:i386 python-qt4 python-sip kde-l10n-engb libqtassistantclient4
      language-pack-zh-hans-base libreoffice-l10n-zh-cn kde-l10n-zhcn
      language-pack-zh-hans language-pack-kde-zh-hans libreoffice-help-zh-cn
      libnss3-1d:i386 libreoffice-l10n-en-gb openoffice.org-hyphenation
      libreoffice-l10n-en-za
    Use 'apt-get autoremove' to remove them.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    2 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Setting up texlive-base (2009-15) ...
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVE... 
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
    mktexlsr: Updating /var/lib/texmf/ls-R... 
    mktexlsr: Done.
    Not replacing deleted config file /etc/texmf/dvips/config/config.ps
    Not replacing deleted config file /etc/texmf/tex/generic/config/pdftexconfig.tex
    Not replacing deleted config file /etc/texmf/dvipdfmx/dvipdfmx.cfg
    Not replacing deleted config file /etc/texmf/xdvi/XDvi
    dpkg: error processing texlive-base (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of texlive-latex-base:
     texlive-latex-base depends on texlive-base (>= 2009-1); however:
      Package texlive-base is not configured yet.
    dpkg: error processing texlive-latex-base (--configure):
     dependency problems - leaving unconfigured
    No apport report written because the error message indicates its a followup error from a previous failure.
                              Errors were encountered while processing:
     texlive-base
     texlive-latex-base
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Code:
    sudo apt-get autoremove
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be REMOVED:
      firefox-locale-zh-hans hyphen-en-us kde-l10n-engb kde-l10n-zhcn
      language-pack-kde-zh-hans language-pack-kde-zh-hans-base
      language-pack-zh-hans language-pack-zh-hans-base libgconf2-4:i386
      libnss3-1d:i386 libqtassistantclient4 libreoffice-help-en-gb
      libreoffice-help-en-us libreoffice-help-zh-cn libreoffice-l10n-en-gb
      libreoffice-l10n-en-za libreoffice-l10n-zh-cn mythes-en-au mythes-en-us
      openoffice.org-hyphenation python-qt4 python-sip
    0 upgraded, 0 newly installed, 22 to remove and 0 not upgraded.
    2 not fully installed or removed.
    After this operation, 164 MB disk space will be freed.
    Do you want to continue [Y/n]? y
    (Reading database ... 321166 files and directories currently installed.)
    Removing firefox-locale-zh-hans ...
    Removing hyphen-en-us ...
    Removing kde-l10n-engb ...
    Removing kde-l10n-zhcn ...
    Removing libgconf2-4:i386 ...
    Removing libnss3-1d:i386 ...
    Removing python-qt4 ...
    Removing libqtassistantclient4 ...
    Removing libreoffice-help-en-gb ...
    Removing libreoffice-help-en-us ...
    Removing libreoffice-help-zh-cn ...
    Removing libreoffice-l10n-en-gb ...
    Removing libreoffice-l10n-en-za ...
    Removing libreoffice-l10n-zh-cn ...
    Removing mythes-en-au ...
    Removing mythes-en-us ...
    Removing openoffice.org-hyphenation ...
    Removing python-sip ...
    Removing language-pack-zh-hans-base ...
    Removing language-pack-kde-zh-hans-base ...
    Removing language-pack-kde-zh-hans ...
    Removing language-pack-zh-hans ...
    Processing triggers for libc-bin ...
    ldconfig deferred processing now taking place
    Processing triggers for software-center ...
    INFO:softwarecenter.db.update:no translation information in database needed
    Setting up texlive-base (2009-15) ...
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVE... 
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
    mktexlsr: Updating /var/lib/texmf/ls-R... 
    mktexlsr: Done.
    Not replacing deleted config file /etc/texmf/dvips/config/config.ps
    Not replacing deleted config file /etc/texmf/tex/generic/config/pdftexconfig.tex
    Not replacing deleted config file /etc/texmf/dvipdfmx/dvipdfmx.cfg
    Not replacing deleted config file /etc/texmf/xdvi/XDvi
    dpkg: error processing texlive-base (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of texlive-latex-base:
     texlive-latex-base depends on texlive-base (>= 2009-1); however:
      Package texlive-base is not configured yet.
    dpkg: error processing texlive-latex-base (--configure):
     dependency problems - leaving unconfigured
    No apport report written because the error message indicates its a followup error from a previous failure.
                              Errors were encountered while processing:
     texlive-base
     texlive-latex-base
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Code:
    sudo apt-get install texworks
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Suggested packages:
      texlive-xetex texworks-scripting-lua texworks-scripting-python
    The following NEW packages will be installed:
      texworks
    0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
    2 not fully installed or removed.
    Need to get 0 B/2,360 kB of archives.
    After this operation, 3,617 kB of additional disk space will be used.
    Selecting previously unselected package texworks.
    (Reading database ... 318899 files and directories currently installed.)
    Unpacking texworks (from .../texworks_0.5~svn952-1_amd64.deb) ...
    Processing triggers for man-db ...
    Processing triggers for desktop-file-utils ...
    Setting up texlive-base (2009-15) ...
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVE... 
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
    mktexlsr: Updating /var/lib/texmf/ls-R... 
    mktexlsr: Done.
    Not replacing deleted config file /etc/texmf/dvips/config/config.ps
    Not replacing deleted config file /etc/texmf/tex/generic/config/pdftexconfig.tex
    Not replacing deleted config file /etc/texmf/dvipdfmx/dvipdfmx.cfg
    Not replacing deleted config file /etc/texmf/xdvi/XDvi
    dpkg: error processing texlive-base (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of texlive-latex-base:
     texlive-latex-base depends on texlive-base (>= 2009-1); however:
      Package texlive-base is not configured yet.
    dpkg: error processing texlive-latex-base (--configure):
     dependency problems - leaving unconfigured
    Setting up texworks (0.5~svn952-1) ...
    No apport report written because the error message indicates its a followup error from a previous failure.
                              Errors were encountered while processing:
     texlive-base
     texlive-latex-base
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  7. #17
    Join Date
    May 2009
    Location
    Indiana
    Beans
    1,817
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: TeXworks: package operation failed

    The issue seems to stem from this.

    Quote Originally Posted by bekirs View Post
    Code:
    sudo apt-get install texworks
    ...
    Setting up texlive-base (2009-15) ...
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVE... 
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
    mktexlsr: Updating /var/lib/texmf/ls-R... 
    mktexlsr: Done.
    Not replacing deleted config file /etc/texmf/dvips/config/config.ps
    Not replacing deleted config file /etc/texmf/tex/generic/config/pdftexconfig.tex
    Not replacing deleted config file /etc/texmf/dvipdfmx/dvipdfmx.cfg
    Not replacing deleted config file /etc/texmf/xdvi/XDvi
    dpkg: error processing texlive-base (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of texlive-latex-base:
     texlive-latex-base depends on texlive-base (>= 2009-1); however:
      Package texlive-base is not configured yet.
    dpkg: error processing texlive-latex-base (--configure):
     dependency problems - leaving unconfigured
    Setting up texworks (0.5~svn952-1) ...
    No apport report written because the error message indicates its a followup error from a previous failure.
                              Errors were encountered while processing:
     texlive-base
     texlive-latex-base
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Seems to me that those deleted config files need to be replaced. I'm just not sure how to force dpkg to do that...

    Edit: please give the output of
    Code:
    ls /etc/texmf
    Last edited by newb85; November 14th, 2012 at 11:04 AM.
    Jane, stop this crazy thing!

  8. #18
    Join Date
    Jan 2008
    Beans
    588
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: TeXworks: package operation failed

    Hi all!

    Googling the error code "Not replacing deleted config file ubuntu" lead me to this page, which suggests the solution should be to run the commands (one at a time):

    Code:
    apt-get remove texworks
    dpkg -P texworks
    apt-get install texworks
    Might have to sudo those commands though heh heh heh! I have checked the thread, and I didn't see the dpkg -P step anywhere.

    Good luck!
    'I know lifes a bummer baby, But thats got precious little to do with me' - Monster Magnet

  9. #19
    Join Date
    Jul 2012
    Location
    Germany
    Beans
    107
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: TeXworks: package operation failed

    Quote Originally Posted by newb85 View Post
    The issue seems to stem from this.



    Seems to me that those deleted config files need to be replaced. I'm just not sure how to force dpkg to do that...

    Edit: please give the output of
    Code:
    ls /etc/texmf
    here is the output:

    Code:
    ls /etc/texmf
    dvipdfm   dvips  hyphen.d    metafont  texdoc    texmf.cnf  updmap.d  xdvi
    dvipdfmx  fmt.d  language.d  tex       texdoctk  texmf.d    web2c

  10. #20
    Join Date
    Jul 2012
    Location
    Germany
    Beans
    107
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: TeXworks: package operation failed

    Quote Originally Posted by bryncoles View Post
    Hi all!

    Googling the error code "Not replacing deleted config file ubuntu" lead me to this page, which suggests the solution should be to run the commands (one at a time):

    Code:
    apt-get remove texworks
    dpkg -P texworks
    apt-get install texworks
    Might have to sudo those commands though heh heh heh! I have checked the thread, and I didn't see the dpkg -P step anywhere.

    Good luck!
    OK, I give you the results:

    Code:
    apt-get remove texworks
    E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
    E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
    bekirsalgin@bekirsalgin:~$ sudo apt-get remove texworks
    [sudo] password for bekirsalgin: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be REMOVED:
      texworks
    0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
    2 not fully installed or removed.
    After this operation, 3,617 kB disk space will be freed.
    Do you want to continue [Y/n]? y
    (Reading database ... 318908 files and directories currently installed.)
    Removing texworks ...
    Processing triggers for desktop-file-utils ...
    Processing triggers for man-db ...
    Setting up texlive-base (2009-15) ...
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVE... 
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
    mktexlsr: Updating /var/lib/texmf/ls-R... 
    mktexlsr: Done.
    Not replacing deleted config file /etc/texmf/dvips/config/config.ps
    Not replacing deleted config file /etc/texmf/tex/generic/config/pdftexconfig.tex
    Not replacing deleted config file /etc/texmf/dvipdfmx/dvipdfmx.cfg
    Not replacing deleted config file /etc/texmf/xdvi/XDvi
    dpkg: error processing texlive-base (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of texlive-latex-base:
     texlive-latex-base depends on texlive-base (>= 2009-1); however:
      Package texlive-base is not configured yet.
    dpkg: error processing texlive-latex-base (--configure):
     dependency problems - leaving unconfigured
    No apport report written because the error message indicates its a followup error from a previous failure.
                              Errors were encountered while processing:
     texlive-base
     texlive-latex-base
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Code:
    dpkg -P texworks
    dpkg: error: requested operation requires superuser privilege
    bekirsalgin@bekirsalgin:~$ sudo dpkg -P texworks
    dpkg: warning: there's no installed package matching texworks
    Code:
    sudo apt-get install texworks
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Suggested packages:
      texlive-xetex texworks-scripting-lua texworks-scripting-python
    The following NEW packages will be installed:
      texworks
    0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
    2 not fully installed or removed.
    Need to get 0 B/2,360 kB of archives.
    After this operation, 3,617 kB of additional disk space will be used.
    Selecting previously unselected package texworks.
    (Reading database ... 318899 files and directories currently installed.)
    Unpacking texworks (from .../texworks_0.5~svn952-1_amd64.deb) ...
    Processing triggers for man-db ...
    Processing triggers for desktop-file-utils ...
    Setting up texlive-base (2009-15) ...
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVE... 
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
    mktexlsr: Updating /var/lib/texmf/ls-R... 
    mktexlsr: Done.
    Not replacing deleted config file /etc/texmf/dvips/config/config.ps
    Not replacing deleted config file /etc/texmf/tex/generic/config/pdftexconfig.tex
    Not replacing deleted config file /etc/texmf/dvipdfmx/dvipdfmx.cfg
    Not replacing deleted config file /etc/texmf/xdvi/XDvi
    dpkg: error processing texlive-base (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of texlive-latex-base:
     texlive-latex-base depends on texlive-base (>= 2009-1); however:
      Package texlive-base is not configured yet.
    dpkg: error processing texlive-latex-base (--configure):
     dependency problems - leaving unconfigured
    Setting up texworks (0.5~svn952-1) ...
    No apport report written because the error message indicates its a followup error from a previous failure.
                              Errors were encountered while processing:
     texlive-base
     texlive-latex-base
    E: Sub-process /usr/bin/dpkg returned an error code (1)

Page 2 of 6 FirstFirst 1234 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •